Delete personal access token
DELETE
/v2/access-tokens/{uuid} Deletes a personal access token permanently. This cannot be undone.
Connection and access
API connection and authentication guidance
https://hub.docker.com
—
Docker HUB API
Use one of these alternatives. Requirements within an alternative apply together.
bearerAuth
Parameters
uuid
path
Required
UUID of the personal access token.
Type:
string
All schema constraints and annotations
{
"type": "string"
}Request and responses
Response
204
A successful response.
No response content is declared.
Response
401
Unauthorized
application/json
Schema:
error
error
{
"errinfo": null,
"message": "unauthorized"
}Response
404
Not Found
application/json
Schema:
error
error
{
"errinfo": null,
"message": "not found"
}Referenced schemas
Complete operation contract
{
"description": "Deletes a personal access token permanently. This cannot be undone.\n",
"operationId": "deleteV2AccessTokensByUuid",
"responses": {
"204": {
"description": "A successful response."
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"404": {
"$ref": "#/components/responses/NotFound"
}
},
"security": [
{
"bearerAuth": []
}
],
"summary": "Delete personal access token",
"tags": [
"access-tokens"
]
}